import request from '@/utils/request'

// 查询医生文章分类列表
export function listDoctorArticleCate(query) {
  return request({
    url: '/his/doctorArticleCate/list',
    method: 'get',
    params: query
  })
}

// 查询医生文章分类详细
export function getDoctorArticleCate(cateId) {
  return request({
    url: '/his/doctorArticleCate/' + cateId,
    method: 'get'
  })
}
export function getAllArticleCateList(query) {
  return request({
    url: '/his/doctorArticleCate/allList',
    method: 'get',
    params: query
  })
}
// 新增医生文章分类
export function addDoctorArticleCate(data) {
  return request({
    url: '/his/doctorArticleCate',
    method: 'post',
    data: data
  })
}

// 修改医生文章分类
export function updateDoctorArticleCate(data) {
  return request({
    url: '/his/doctorArticleCate',
    method: 'put',
    data: data
  })
}

// 删除医生文章分类
export function delDoctorArticleCate(cateId) {
  return request({
    url: '/his/doctorArticleCate/' + cateId,
    method: 'delete'
  })
}

// 导出医生文章分类
export function exportDoctorArticleCate(query) {
  return request({
    url: '/his/doctorArticleCate/export',
    method: 'get',
    params: query
  })
}